明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1770|回复: 4

再次询问关于PLine的问题???

[复制链接]
发表于 2002-10-8 21:16:00 | 显示全部楼层 |阅读模式
怎么用程序画PLine,而不是用sendcommand?
画线时,能在屏幕上看到画出来的线,而不是选完点后最后一下画出线?
我现在很急的,请大家帮帮忙吧!!!先谢谢了!!!
发表于 2002-10-8 21:42:00 | 显示全部楼层

这个不是么,就在Autocad帮助上呀.

本帖最后由 作者 于 2002-10-8 21:42:07 编辑

Sub Example_AddPolyline()
    ' This example creates a polyline in model space.
   
    Dim plineObj As AcadPolyline
    Dim points(0 To 14) As Double
   
    ' Define the 2D polyline points
    points(0) = 1: points(1) = 1: points(2) = 0
    points(3) = 1: points(4) = 2: points(5) = 0
    points(6) = 2: points(7) = 2: points(8) = 0

    points(9) = 3: points(10) = 2: points(11) = 0
    points(12) = 4: points(13) = 4: points(14) = 0
        
    ' Create a light weight Polyline object in model space
    Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)
    ZoomAll
   
End Sub
这个不是么,就在Autocad帮助上呀.
 楼主| 发表于 2002-10-9 09:05:00 | 显示全部楼层

我说的是在屏幕上取点,点的数量和位置都是任意的.

 楼主| 发表于 2002-10-9 09:10:00 | 显示全部楼层

版主,这个问题您有没有什么思路,能再帮帮我吗?

 楼主| 发表于 2002-10-10 11:34:00 | 显示全部楼层

ok,解决了,拐了很大的弯才回来!!!

思路如下:
getpoint,从第二点开始每两个点画一条Line,并记录point到数组points,点右键结束时,err.number会改变,可捕捉这个信息进行下面的操作,清除Line,addpolyline(points).
清除line也很麻烦,因为不止一条,不能用selelctlast,所以我把line全部加到一个新建的TMP层中,最后清除的是TMP层的东西.
大家有没有更好的思路,一起探讨一下吧!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 20:57 , Processed in 0.160461 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表